[Midnightbsd-cvs] src: src/release: Remove unsupported architectures.

laffer1 at midnightbsd.org laffer1 at midnightbsd.org
Mon Sep 1 21:42:13 EDT 2008


Log Message:
-----------
Remove unsupported architectures.

Add some of the customizations used for 0.2.1. Fix distfiles directory name. 0.3 :)

Modified Files:
--------------
    src/release:
        Makefile (r1.17 -> r1.18)

Removed Files:
-------------
    src/release/ia64:
        boot_crunch.conf
        mkisoimages.sh
    src/release/powerpc:
        boot.tbxi
        boot_crunch.conf
        hfs.map
        mkisoimages.sh

-------------- next part --------------
--- release/ia64/boot_crunch.conf
+++ /dev/null
@@ -1,48 +0,0 @@
-# $MidnightBSD: src/release/ia64/boot_crunch.conf,v 1.2 2007/03/17 16:02:47 laffer1 Exp $
-# $FreeBSD: src/release/ia64/boot_crunch.conf,v 1.9 2004/10/01 07:54:37 ru Exp $
-
-buildopts -DRELEASE_CRUNCH -Dlint
-
-srcdirs /usr/src/bin
-progs hostname
-progs pwd
-progs rm
-progs sh
-progs test
-ln sh -sh
-ln test [
-
-srcdirs /usr/src/gnu/usr.bin
-progs cpio
-
-srcdirs /usr/src/sbin
-progs camcontrol
-progs dhclient
-progs fsck_ffs
-progs gpt
-progs ifconfig
-progs mount_msdosfs
-progs mount_nfs
-progs newfs
-progs newfs_msdos
-progs route
-progs rtsol
-progs tunefs
-
-srcdirs /usr/src/usr.bin
-progs find
-progs minigzip
-progs sed
-ln minigzip gzip
-ln minigzip gunzip
-ln minigzip zcat
-
-srcdirs /usr/src/usr.sbin
-progs arp
-progs ppp
-progs sysinstall
-progs usbd
-progs usbdevs
-
-libs -ll -ledit -lutil -lmd -lcrypt -lftpio -lz -lnetgraph
-libs -ldialog -lncurses -ldisk -lcam -lkiconv -lsbuf -lufs
--- release/ia64/mkisoimages.sh
+++ /dev/null
@@ -1,97 +0,0 @@
-#!/bin/sh
-#
-# Module: mkisoimages.sh
-# Author: Jordan K Hubbard
-# Date:   22 June 2001
-#
-# $MidnightBSD: src/release/ia64/mkisoimages.sh,v 1.2 2007/03/17 16:02:47 laffer1 Exp $
-# $FreeBSD: src/release/ia64/mkisoimages.sh,v 1.11 2005/01/30 21:10:52 kensmith Exp $
-#
-# This script is used by release/Makefile to build the (optional) ISO images
-# for a MidnightBSD release.  It is considered architecture dependent since each
-# platform has a slightly unique way of making bootable CDs.  This script
-# is also allowed to generate any number of images since that is more of
-# publishing decision than anything else.
-#
-# Usage:
-#
-# mkisoimages.sh [-b] image-label image-name base-bits-dir [extra-bits-dir]
-#
-# Where -b is passed if the ISO image should be made "bootable" by
-# whatever standards this architecture supports (may be unsupported),
-# image-label is the ISO image label, image-name is the filename of the
-# resulting ISO image, base-bits-dir contains the image contents and
-# extra-bits-dir, if provided, contains additional files to be merged
-# into base-bits-dir as part of making the image.
-
-set -e
-
-if [ "x$1" = "x-b" ]; then
-    bootable=yes
-    shift
-else
-    bootable=no
-fi
-
-if [ $# -lt 3 ]; then
-    echo usage: $0 '[-b] label iso-name base-dir [extra-dir]'
-    exit 1
-fi
-
-LABEL=$1; shift
-NAME=$1; shift
-BASE=$1; shift
-
-MKISOFS=mkisofs
-MKISOFS_PKG=cdrtools
-MKISOFS_PORT=/usr/mports/sysutils/${MKISOFS_PKG}
-
-if ! which ${MKISOFS} > /dev/null; then
-    echo -n "${MKISOFS}(8) does not exist: "
-    if [ -f ${MKISOFS_PORT}/Makefile ]; then
-	echo building the port...
-	if ! (cd ${MKISOFS_PORT} && make install BATCH=yes && make clean); then
-	    echo "error: cannot build ${MKISOFS}(8). Bailing out..."
-	    exit 2
-	fi
-    else
-	echo fetching the package...
-	if ! pkg_add -r ${MKISOFS_PKG}; then
-	    echo "error: cannot fetch ${MKISOFS}(8). Bailing out..."
-	    exit 2
-	fi
-    fi
-fi
-
-EFIPART=efipart.sys
-
-# To create a bootable CD under EFI, the boot image should be an EFI
-# system partition.
-if [ $bootable = yes ]; then
-    EFISZ=32768
-    MNT=/mnt
-    dd if=/dev/zero of=$BASE/$EFIPART count=$EFISZ
-    md=`mdconfig -a -t vnode -f $BASE/$EFIPART`
-    newfs_msdos -F 12 -S 512 -h 4 -o 0 -s $EFISZ -u 16 $md
-    mount -t msdosfs /dev/$md $MNT
-    mkdir -p $MNT/efi/boot $MNT/boot $MNT/boot/kernel
-    cp -R $BASE/boot/defaults $MNT/boot
-    cp $BASE/boot/kernel/kernel $MNT/boot/kernel
-    cp $BASE/boot/kernel/ispfw.ko $MNT/boot/kernel
-    cp $BASE/boot/device.hints $MNT/boot
-    cp $BASE/boot/loader.* $MNT/boot
-    cp $BASE/boot/mfsroot.gz $MNT/boot
-    cp $BASE/boot/support.4th $MNT/boot
-    mv $MNT/boot/loader.efi $MNT/efi/boot/bootia64.efi
-    umount $MNT
-    mdconfig -d -u $md
-    BOOTOPTS="-b $EFIPART -no-emul-boot"
-else
-    BOOTOPTS=""
-fi
-
-publisher="The MidnightBSD Project.  http://www.midnightbsd.org/"
-
-$MKISOFS $BOOTOPTS -r -J -V $LABEL -publisher "$publisher" -o $NAME $BASE $*
-rm -f $BASE/$EFIPART
-exit 0
Index: Makefile
===================================================================
RCS file: /home/cvs/src/release/Makefile,v
retrieving revision 1.17
retrieving revision 1.18
diff -L release/Makefile -L release/Makefile -u -r1.17 -r1.18
--- release/Makefile
+++ release/Makefile
@@ -19,16 +19,16 @@
 # Set these, release builder!
 #
 # Fixed version:
-#BUILDNAME=0.1-RELEASE
+#BUILDNAME=0.3-RELEASE
 #
 # Automatic SNAP versioning:
 DATE != date +%Y%m%d
-BASE = 0.2
+BASE = 0.3
 BUILDNAME?=${BASE}-${DATE}-SNAP
 #
 #CHROOTDIR=/junk/release
 # If this is a -stable snapshot, then set
-#RELEASETAG=RELENG_4
+#RELEASETAG=RELENG_0
 #
 # To test a release with a source tree containing patches and
 # other work. This tree will get copied instead of getting the
@@ -153,7 +153,7 @@
 # Respect DOCDISTFILES which is used before.
 RELEASEDISTFILES?=	${DOCDISTFILES}
 .else
-RELEASEDISTFILES?=	${.CURDIR}/../../mports/distfiles
+RELEASEDISTFILES?=	${.CURDIR}/../../mports/Distfiles
 .endif
 # Set this to 1 if you want -P to be used for automatic keyboard detection
 # on the boot floppy.  WARNING: Breaks on some Athlon (K7) motherboards.
@@ -198,11 +198,6 @@
 MFSINODE=		8192
 MFSLABEL=		auto
 MINIROOT=
-.elif ${TARGET_ARCH} == "ia64"
-MFSSIZE=		8192
-MFSINODE=		8192
-MFSLABEL=		auto
-SEPARATE_LIVEFS=
 .elif ${TARGET_ARCH} == "amd64"
 MAKE_FLOPPIES=          true
 FLOPPYSIZE=             1440
@@ -214,12 +209,6 @@
 MFSINODE=		8192
 MFSLABEL=		auto
 SPLIT_MFSROOT=
-.elif ${TARGET_ARCH} == "powerpc"
-DISKLABEL=		""
-MFSSIZE=		4096
-MFSINODE=		8192
-MFSLABEL=		auto
-SEPARATE_LIVEFS=
 .endif
 .if defined(NO_FLOPPIES)
 .undef MAKE_FLOPPIES
--- release/powerpc/hfs.map
+++ /dev/null
@@ -1,4 +0,0 @@
-# $MidnightBSD: src/release/powerpc/hfs.map,v 1.2 2007/03/17 16:06:10 laffer1 Exp $
-# $FreeBSD: src/release/powerpc/hfs.map,v 1.1 2004/08/18 11:08:19 grehan Exp $
-.tbxi   -     'chrp'  'tbxi'  "bootstrap"
-*       -     'fbsd'  'TEXT'  "FreeBSD file"
--- release/powerpc/boot_crunch.conf
+++ /dev/null
@@ -1,48 +0,0 @@
-# $MidnightBSD: src/release/powerpc/boot_crunch.conf,v 1.2 2007/03/17 16:06:10 laffer1 Exp $
-# $FreeBSD: src/release/powerpc/boot_crunch.conf,v 1.3 2004/10/01 07:54:37 ru Exp $
-
-buildopts -DRELEASE_CRUNCH -Dlint
-
-srcdirs /usr/src/bin
-progs hostname
-progs pwd
-progs rm
-progs sh
-progs test
-ln sh -sh
-ln test [
-
-srcdirs /usr/src/gnu/usr.bin
-progs cpio
-
-srcdirs /usr/src/sbin
-progs camcontrol
-progs dhclient
-progs fsck_ffs
-progs ifconfig
-progs mount_msdosfs
-progs mount_nfs
-progs newfs
-progs newfs_msdos
-progs route
-progs rtsol
-progs slattach
-progs tunefs
-
-srcdirs /usr/src/usr.bin
-progs find
-progs minigzip
-progs sed
-ln minigzip gzip
-ln minigzip gunzip
-ln minigzip zcat
-
-srcdirs /usr/src/usr.sbin
-progs arp
-progs ppp
-progs sysinstall
-progs usbd
-progs usbdevs
-
-libs -ll -ledit -lutil -lmd -lcrypt -lftpio -lz -lnetgraph
-libs -ldialog -lncurses -ldisk -lcam -lkiconv -lsbuf -lufs
--- release/powerpc/boot.tbxi
+++ /dev/null
@@ -1,15 +0,0 @@
-<CHRP-BOOT>
-<LICENSE>
-$MidnightBSD: src/release/powerpc/boot.tbxi,v 1.2 2007/03/17 16:06:10 laffer1 Exp $
-</LICENSE>
-<COMPATIBLE>
-MacRISC MacRISC3 MacRISC4
-</COMPATIBLE>
-<DESCRIPTION>
-MidnightBSD/PPC bootloader
-</DESCRIPTION>
-<BOOT-SCRIPT>
-" screen" output
-boot cd:,\boot\loader cd:0
-</BOOT-SCRIPT>
-</CHRP-BOOT>
--- release/powerpc/mkisoimages.sh
+++ /dev/null
@@ -1,58 +0,0 @@
-#!/bin/sh
-#
-# Module: mkisoimages.sh
-# Author: Jordan K Hubbard
-# Date:   22 June 2001
-#
-# $MidnightBSD: src/release/powerpc/mkisoimages.sh,v 1.2 2007/03/17 16:06:10 laffer1 Exp $
-# $FreeBSD: src/release/powerpc/mkisoimages.sh,v 1.1 2004/08/18 11:08:19 grehan Exp $
-#
-# This script is used by release/Makefile to build the (optional) ISO images
-# for a MidnightBSD release.  It is considered architecture dependent since each
-# platform has a slightly unique way of making bootable CDs.  This script
-# is also allowed to generate any number of images since that is more of
-# publishing decision than anything else.
-#
-# Usage:
-#
-# mkisoimages.sh [-b] image-label image-name base-bits-dir [extra-bits-dir]
-#
-# Where -b is passed if the ISO image should be made "bootable" by
-# whatever standards this architecture supports (may be unsupported),
-# image-label is the ISO image label, image-name is the filename of the
-# resulting ISO image, base-bits-dir contains the image contents and
-# extra-bits-dir, if provided, contains additional files to be merged
-# into base-bits-dir as part of making the image.
-
-if [ "x$1" = "x-b" ]; then
-	cp /usr/src/release/powerpc/boot.tbxi ${4}/boot
-	bootable="-hfs-bless ${4}/boot -map /usr/src/release/powerpc/hfs.map"
-	shift
-else
-	bootable=""
-fi
-
-if [ $# -lt 3 ]; then
-	echo Usage: $0 '[-b] image-label image-name base-bits-dir [extra-bits-dir]'
-	rm -f ${IMG}
-	exit 1
-fi
-
-type mkisofs 2>&1 | grep " is " >/dev/null
-if [ $? -ne 0 ]; then
-	echo The cdrtools port is not installed.  Trying to get it now.
-	if [ -f /usr/mports/sysutils/cdrtools/Makefile ]; then
-		cd /usr/mports/sysutils/cdrtools && make install BATCH=yes && make clean
-	else
-		if ! pkg_add -r cdrtools; then
-			echo "Could not get it via pkg_add - please go install this"
-			echo "from the ports collection and run this script again."
-			exit 2
-		fi
-	fi
-fi
-
-LABEL=$1; shift
-NAME=$1; shift
-
-mkisofs $bootable -r -hfs -part -no-desktop -hfs-volid $LABEL -l -J -L -o $NAME $*


More information about the Midnightbsd-cvs mailing list